BOTCH-ADD-ARCH(1)

NAME
botch-add-arch - add architecture to source packages

SYNOPSIS

botch-add-arch [-h] [-v] toarch inSources outSources

DESCRIPTION
Add architecture toarch to the "Architecture" field of all source packages in inSources which have an "Architecture" field that does not match toarch yet. The system's "dpkg-architecture" program is used to determine whether any architecture of the source packages' "Architecture" field matches toarch.

The files inSources and outSources are control files given in deb822 format like the ones found on archive mirrors and locally under /var/lib/apt/lists.

inSources and outSources can point to the same file name for in-place operation. Compressed inSources files are decompressed on the fly independent of their filename extension. The output will be compressed as determined by the filename extension of outSources.

If inSources is equal to a single hyphen-minus (-) then its content will be read from standard input. If outSources is equal to a single hyphen-minus (-) then the output will be written to standard output.

OPTIONS

-v, --verbose
    Be verbose.

-h, --help
    Print help message.

EXAMPLE
Make all source packages compilable on arm64:

 botch-add-arch arm64 inSources outSources

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.